<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFFontInfoPredefined (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFFontInfoPredefined (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFFontInfoPredefined.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
               title="enum in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFFontInfoPredefined.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Enum HSLFFontInfoPredefined" class="title">Enum HSLFFontInfoPredefined</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                         title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.usermodel.HSLFFontInfoPredefined</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                            title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>&gt;, <a
                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                            title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">HSLFFontInfoPredefined</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                             title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>&gt;
implements <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
              title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></pre>
                <div class="block">Predefined fonts</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 3.17-beta2</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#ARIAL">ARIAL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#COURIER_NEW">COURIER_NEW</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#TIMES_NEW_ROMAN">TIMES_NEW_ROMAN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#WINGDINGS">WINGDINGS</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#getCharset--">getCharset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#getFamily--">getFamily</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#getIndex--">getIndex</a></span>()</code>
                                    <div class="block">Get the index within the collection of Font objects</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#getPitch--">getPitch</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#getTypeface--">getTypeface</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">setCharset</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;charset)</code>
                                    <div class="block">Sets the charset</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">setFamily</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;family)</code>
                                    <div class="block">Sets the font family class</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#setIndex-int-">setIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Sets the index within the collection of Font objects</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">setPitch</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;pitch)</code>
                                    <div class="block">Set the font pitch</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#setTypeface-java.lang.String-">setTypeface</a></span>(java.lang.String&nbsp;typeface)</code>
                                    <div class="block">Sets the font name</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="ARIAL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ARIAL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a> ARIAL</pre>
                            </li>
                        </ul>
                        <a name="TIMES_NEW_ROMAN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TIMES_NEW_ROMAN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a> TIMES_NEW_ROMAN</pre>
                            </li>
                        </ul>
                        <a name="COURIER_NEW">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COURIER_NEW</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a> COURIER_NEW</pre>
                            </li>
                        </ul>
                        <a name="WINGDINGS">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>WINGDINGS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a> WINGDINGS</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (HSLFFontInfoPredefined c : HSLFFontInfoPredefined.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getIndex()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getIndex--">FontInfo</a></code></span>
                                </div>
                                <div class="block">Get the index within the collection of Font objects</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getIndex--">getIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unique index number of the underlying record this Font represents
                                        (probably you don't care unless you're comparing which one is which)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndex</h4>
                                <pre>public&nbsp;void&nbsp;setIndex(int&nbsp;index)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setIndex-int-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the index within the collection of Font objects</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setIndex-int-">setIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index within the collection of Font objects</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeface--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeface</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTypeface()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getTypeface--">getTypeface</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the full name of the font, i.e. font family + type face</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTypeface-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTypeface</h4>
                                <pre>public&nbsp;void&nbsp;setTypeface(java.lang.String&nbsp;typeface)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setTypeface-java.lang.String-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the font name</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setTypeface-java.lang.String-">setTypeface</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeface</code> - the full name of the font, when <code>null</code>
                                        removes the font definition -
                                        removal is implementation specific
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharset</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;getCharset()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getCharset--">getCharset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font charset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharset</h4>
                                <pre>public&nbsp;void&nbsp;setCharset(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;charset)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the charset</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">setCharset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>charset</code> - the charset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFamily--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFamily</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;getFamily()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getFamily--">getFamily</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the family class</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFamily</h4>
                                <pre>public&nbsp;void&nbsp;setFamily(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;family)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the font family class</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">setFamily</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>family</code> - the font family class</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPitch--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPitch</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;getPitch()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getPitch--">getPitch</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font pitch or <code>null</code> if unsupported</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setPitch</h4>
                                <pre>public&nbsp;void&nbsp;setPitch(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;pitch)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Set the font pitch</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">setPitch</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pitch</code> - the font pitch</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFFontInfoPredefined.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
               title="enum in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFFontInfoPredefined.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
